const fs = require('fs');
const path = require('path');
const crypto = require('crypto');

const CACHE_PATH = path.resolve(__dirname, './.cache');

function getMD5(secret) {
  const md5 = crypto.createHash('md5');
  return md5.update(secret).digest('hex');
}

function getCache(filename) {
  const realPath = path.resolve(CACHE_PATH, filename);
  if (!fs.existsSync(realPath)) {
    return '';
  }
  return fs.readFileSync(realPath).toString();
}

function setCache(filename, content) {
  const realPath = path.resolve(CACHE_PATH, filename);
  fs.writeFileSync(realPath, content);
}

module.exports = {
  getMD5,
  getCache,
  setCache
}
